Skip to main content
GET
/
transactions
/
{txId}
cURL
curl --request GET \
  --url https://api.onchainden.com/api/v1/transactions/{txId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "tx_123",
    "accountId": "acc_123",
    "policy": {
      "id": "pol_123",
      "threshold": 2
    },
    "type": "TOKEN_TRANSFER",
    "signatureData": {
      "status": "<string>",
      "initiatorPayload": "<string>"
    },
    "executionStatus": null,
    "approvals": [
      {
        "id": "mem_123",
        "name": "Alice",
        "type": "user",
        "walletAddress": "<string>"
      }
    ],
    "rejections": [
      {
        "id": "mem_123",
        "name": "Alice",
        "type": "user",
        "walletAddress": "<string>"
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "expiresAt": "2026-01-25T00:00:00Z",
    "data": {
      "destination": "0xdef...",
      "asset": {
        "id": "usdc_1",
        "symbol": "USDC",
        "decimals": 6,
        "name": "USD Coin",
        "logoUrl": "https://assets.onchainden.com/tokens/usdc.png",
        "tokenAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
      },
      "rawAmount": "1000000000",
      "displayAmount": "1000.00",
      "networkId": 1
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.mls.onchainden.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

txId
string
required

Transaction ID

Response

Transaction details

data
Token Transfer · object
required